Subject: Re: [RFC] Git User's Survey 2010 (resend)

From: Jakub Narebski <[email-masked]>
Date: Sun, 11 Jul 2010 19:42:52 +0200

On Sun, 11 Jul 2010, Felipe Contreras wrote:
> On Sat, Jul 10, 2010 at 10:58 PM, Jakub Narebski <[email-masked]> wrote:
>> On Sat, 10 July 2010, Felipe Contreras wrote:
>>> 2010/7/3 Jakub Narebski <[email-masked]>:
>>>>
>>>> I guess it is time for annual (so far) Git User's Survey.  Should
>>>> there be one?  When should it start, and how long should it last?
>>>
>>> Yes, I think there should definitely be one! IMO one month is enough.
>>
>> By the way, I think it is important that Git User's Survey 2010 lasts
>> past the holidays, i.e. into September or even October, even at the
>> cost of lasting two months, and not one month.
>>
>> What do you think about this?
> 
> My feeling is that the longer it is, the easier it's for people to
> postpone it, and then forget about it.

Hmmm... I haven't thought about this issue.  I certainly don't plan
for Git User's Survey 2010 to last longer than 2 months.  We can
always send / post reminders that the survey is coming to be closed.

The problem with duration of last year survey was that some announcements
got delayed because of holidays.

> But I don't have a strong opinion either way.

I think that 15 August to 15 September, or to 15 October would be
good time (this is currently preliminary only).

>>>> == About you ==
>>>>
>>>> NOTES:
>>>> ^^^^^^
>>>> This section gives us a bit of demographical information about survey
>>>> responders.  Is it useful?  Should we leave it in survey, or remove it?
>>>>
>>>> Should we for example include 'gender' as one of questions?  Perl Survey
>>>> 2010 did.
>>>
>>> I don't see the point of 'gender'. What does that tells us?
>>
>> Well, one can say that 'age' doesn't tell us much either.
> 
> I disagree. I think younger people, specially the ones who have not
> been tainted by CVS, might find git easier to learn. Without this
> question it's not possible to find that correlation.

O.K., you convinced me: I'll leave age, but not add gender.
 
>>>> === 10. What do you use to edit contents under version control with Git? ===
>>>>        What kind of editor, IDE or RAD you use working with Git?
>>>> (multiple choice, with other)
>>> [...]
>>>> NOTES:
>>>> ^^^^^^
>>>> Is this question useful, or should it be removed from survey?
>>>
>>> I think this is useful to correlate communities.
>>
>> Hmmm...
> 
> Sorry, I thought the answers would be the actual application used:
> Vim, Eclipse, MS Visual Studio, etc. If not, then I don't see the
> point.
> 
> At least I remember finding out that most people use vim in some
> previous survey, and I found that interesting.

The problem is with not going overboard with number of possible answers,
but we can always take results of previous survey as hint (though 
I don't remember if free-form questions are analyzed yet)/

>>>> === 19. Overall, how happy are you with Git? ===
>>>> (single choice)
>>> [...]
>>>> NOTES:
>>>> ^^^^^^
>>>> I'm not sure if this question is at all useful.
>>>
>>> I think it is. Otherwise how do we know that people are happy with it?
>>
>> Well, I think there is rather heavy bias that if people are unhappy
>> with Git, they wouldn't be using it (well, unless they have to), and
>> they wouldn't be responding to this Git User's Survey (because they
>> didn't found it, for example).
> 
> There's people that would rather be using something else for various
> reasons, but need to use git. Also, there's people that think that git
> is the best option, but not particularly ecstatic with it.

All right, let's keep it.

-- 
Jakub Narebski
Poland